Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xsql
Class XSQLPageRequestImpl

    java.lang.Object
      |
      +--oracle.xml.xsql.XSQLPageRequestImpl

All Implemented Interfaces:
  XSQLPageRequest

Direct Known Subclasses:
  XSQLServletPageRequest

public abstract class XSQLPageRequestImpl
extends java.lang.Object
implements XSQLPageRequest

Base implementation of the XSQLPageRequest interface that case be used to derive new kinds of page request implementations.

Field Summary
`protected java.util.Hashtable` | `_pageParameters`
`protected java.util.Hashtable` | `_styleParams`
`protected boolean` | `alreadyGotOutputStream`
`protected boolean` | `alreadyGotWriter`
`protected java.lang.String` | `baseuri`
`protected XSQLConnection` | `conn`
`protected XSQLConnectionManagerFactory` | `connFactory`
`protected static java.lang.String` | `EQUALS`
`protected java.io.PrintWriter` | `err`
`protected boolean` | `errorHeader`
`protected java.io.PrintWriter` | `out`
`protected java.lang.String` | `outputEncoding`
`protected java.io.OutputStream` | `outStream`
`protected java.lang.String` | `pageurl`
`protected java.util.Dictionary` | `parameters`
`protected XSQLErrorHandler` | `perPageErrorWriter`
`protected Document` | `postedDocument`
`protected XSQLError` | `processingError`
`protected java.lang.String` | `requestedPageEncoding`
`protected java.lang.String` | `styleURI`

Constructor Summary
`XSQLPageRequestImpl()`
`XSQLPageRequestImpl(java.lang.String pageurl, java.util.Hashtable parameters)`

Method Summary
`java.lang.String` | `getBaseURI()` Returns a String representation of the requested document's Base URI
`XSQLConnectionManagerFactory` | `getConnectionManagerFactory()` Returns the instance of the connection manager factory to use for this request
`java.lang.String` | `getConnectionName()` Returns the name of the connection being used for this request May be null if no connection set/in-use.
`java.io.PrintWriter` | `getErrorWriter()` Returns a PrintWriter to print out errors processing this request
`java.sql.Connection` | `getJDBCConnection()` Gets the JDBC connection being used for this request (can be null)
`java.io.OutputStream` | `getOutputStream()` Returns an OutputStream used for writing out the results of a page request
`java.lang.String` | `getPageEncoding()` Returns encoding of source XSQL Page associated with this request
`protected java.lang.String` | `getPageParam(java.lang.String name)`
`protected java.lang.String[]` | `getPageParamValues(java.lang.String name)`
`java.lang.String` | `getParameter(java.lang.String name)` Returns the value of the requested parameter
`java.lang.String[]` | `getParameterValues(java.lang.String name)` Returns an array of values for the requested parameter
`Document` | `getPostedDocument()` Returns the content of Posted XML for this request as an XML Document
`java.lang.Object` | `getRequestObject(java.lang.String name)` Gets a request-scope object
`Document` | `getRequestParamsAsXMLDocument()` Returns the content of a Request parameters as an XML Document
`java.lang.String` | `getSourceDocumentURI()` Returns a String representation of the requested document's URI
`java.lang.String` | `getStylesheetParameter(java.lang.String name)` Gets a stylesheet parameter by name
`java.util.Enumeration` | `getStylesheetParameters()` Gets an enumeration of stylesheet parameter names
`java.lang.String` | `getStylesheetURI()` Returns the URI of the stylesheet to be used to process the result.
`protected XSQLPageRequest` | `getTopRequest()`
`java.lang.String` | `getUserAgent()` Returns a String identifier of the requesting program
`java.io.PrintWriter` | `getWriter()` Returns a PrintWriter used for writing out the results of a page request
`XSQLConnection` | `getXSQLConnection()` Gets the XSQLConnection Object being used for this request Might be null.
`oracle.xml.xsql.XSQLPage` | `getXSQLPage()` Returns an instance of an XSQLPage representing the current request
`boolean` | `isErrorSignalled()` Returns true if processing error has occurred during this request
`boolean` | `isIncludedRequest()` Returns true if this request is being included in another.
`boolean` | `isOracleDriver()` Returns true if the current connection uses the Oracle JDBC Driver
`boolean` | `isUseOutputStream()` Returns true if request is using an output stream instead of a PrintWriter
`boolean` | `printedErrorHeader()` Returns the state of whether an Error Header has been printed
`void` | `requestProcessed()` Allows Page Request to Perform end-of-request processing
`void` | `setConnectionName(java.lang.String connName)` Sets the connection being used for this request (can be null)
`void` | `setContentType(java.lang.String mimetype)` Sets the content type of the resulting page
`void` | `setErrorHandlerClass(java.lang.String className)` Sets classname to use to override default ErrorWriter for this request.
`void` | `setIncludingRequest(XSQLPageRequest includingEnv)` Sets the Including Page Request object for this request.
`void` | `setPageEncoding(java.lang.String enc)` Associates an XSQL Page with the request
`void` | `setPageParam(java.lang.String name, java.lang.String value)` Sets a dynamic page parameter value.
`void` | `setPageParam(java.lang.String name, java.lang.String[] value)` Sets a dynamic page parameter value to a string array
`void` | `setPostedDocument(Document doc)` Allows programmatic setting of the Posted Document
`void` | `setPrintedErrorHeader(boolean yes)` Sets whether an Error Header has been printed
`void` | `setRequestObject(java.lang.String name, java.lang.Object obj)` Sets a request-scope object
`void` | `setStylesheetParameter(java.lang.String name, java.lang.String value)` Sets the value of a parameter to be passed to the associated stylesheet
`void` | `setStylesheetURI(java.lang.String uri)` Sets the URI of the stylesheet to be used to process the result.
`protected void` | `setTopRequest(XSQLPageRequest top)`
`protected void` | `setupErrorWriter()`
`protected void` | `setupOutputStream()`
`protected void` | `setupWriter()`
`void` | `signalError(int errorCode, java.lang.String[] errorMessageArgs, java.lang.Object[] supplementalErrorInfo)` Signals a processing error for this request
`void` | `signalError(java.lang.String message)` Signals a processing error for this request
`java.lang.String` | `translateURL(java.lang.String filename)` Returns a string representing an absolute URL resolved relative to the base URI for this request.
`boolean` | `useConnectionPooling()` Returns true if connection pooling is desired for this request
`boolean` | `useHTMLErrors()` Returns true if HTML-formatted error messages are desired for this request

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.xml.xsql.XSQLPageRequest
`createNestedRequest, getRequestType`

Field Detail

### EQUALS

    protected static final java.lang.String EQUALS

  See Also:
    Constant Field Values

### outputEncoding

    protected java.lang.String outputEncoding

### outStream

    protected java.io.OutputStream outStream

### out

    protected java.io.PrintWriter out

### err

    protected java.io.PrintWriter err

### styleURI

    protected java.lang.String styleURI

### pageurl

    protected java.lang.String pageurl

### baseuri

    protected java.lang.String baseuri

### alreadyGotWriter

    protected boolean alreadyGotWriter

### alreadyGotOutputStream

    protected boolean alreadyGotOutputStream

### processingError

    protected XSQLError processingError

### perPageErrorWriter

    protected XSQLErrorHandler perPageErrorWriter

### connFactory

    protected XSQLConnectionManagerFactory connFactory

### parameters

    protected java.util.Dictionary parameters

### _pageParameters

    protected java.util.Hashtable _pageParameters

### _styleParams

    protected java.util.Hashtable _styleParams

### errorHeader

    protected boolean errorHeader

### requestedPageEncoding

    protected java.lang.String requestedPageEncoding

### conn

    protected XSQLConnection conn

### postedDocument

    protected Document postedDocument

Constructor Detail

### XSQLPageRequestImpl

    public XSQLPageRequestImpl()

### XSQLPageRequestImpl

    public XSQLPageRequestImpl(java.lang.String pageurl,
                               java.util.Hashtable parameters)

Method Detail

### printedErrorHeader

    public boolean printedErrorHeader()

  Description copied from interface: `XSQLPageRequest`
  Returns the state of whether an Error Header has been printed
  Specified by:
    `printedErrorHeader` in interface `XSQLPageRequest`

### setPrintedErrorHeader

    public void setPrintedErrorHeader(boolean yes)

  Description copied from interface: `XSQLPageRequest`
  Sets whether an Error Header has been printed
  Specified by:
    `setPrintedErrorHeader` in interface `XSQLPageRequest`

### isUseOutputStream

    public boolean isUseOutputStream()

  Description copied from interface: `XSQLPageRequest`
  Returns true if request is using an output stream instead of a PrintWriter
  Specified by:
    `isUseOutputStream` in interface `XSQLPageRequest`

### setupWriter

    protected void setupWriter()

### setupErrorWriter

    protected void setupErrorWriter()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Description copied from interface: `XSQLPageRequest`
  Returns the value of the requested parameter
  Specified by:
    `getParameter` in interface `XSQLPageRequest`
  Parameters:
    `name` - the name of the parameter

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Description copied from interface: `XSQLPageRequest`
  Returns an array of values for the requested parameter
  Specified by:
    `getParameterValues` in interface `XSQLPageRequest`
  Parameters:
    `name` - the name of the parameter

### getSourceDocumentURI

    public java.lang.String getSourceDocumentURI()

  Description copied from interface: `XSQLPageRequest`
  Returns a String representation of the requested document's URI
  Specified by:
    `getSourceDocumentURI` in interface `XSQLPageRequest`

### getBaseURI

    public java.lang.String getBaseURI()

  Description copied from interface: `XSQLPageRequest`
  Returns a String representation of the requested document's Base URI
  Specified by:
    `getBaseURI` in interface `XSQLPageRequest`

### getWriter

    public java.io.PrintWriter getWriter()

  Description copied from interface: `XSQLPageRequest`
  Returns a PrintWriter used for writing out the results of a page request
  Specified by:
    `getWriter` in interface `XSQLPageRequest`

### getErrorWriter

    public java.io.PrintWriter getErrorWriter()

  Description copied from interface: `XSQLPageRequest`
  Returns a PrintWriter to print out errors processing this request
  Specified by:
    `getErrorWriter` in interface `XSQLPageRequest`

### useConnectionPooling

    public boolean useConnectionPooling()

  Description copied from interface: `XSQLPageRequest`
  Returns true if connection pooling is desired for this request
  Specified by:
    `useConnectionPooling` in interface `XSQLPageRequest`

### getUserAgent

    public java.lang.String getUserAgent()

  Description copied from interface: `XSQLPageRequest`
  Returns a String identifier of the requesting program
  Specified by:
    `getUserAgent` in interface `XSQLPageRequest`

### setContentType

    public void setContentType(java.lang.String mimetype)

  Description copied from interface: `XSQLPageRequest`
  Sets the content type of the resulting page
  Specified by:
    `setContentType` in interface `XSQLPageRequest`

### useHTMLErrors

    public boolean useHTMLErrors()

  Description copied from interface: `XSQLPageRequest`
  Returns true if HTML-formatted error messages are desired for this request
  Specified by:
    `useHTMLErrors` in interface `XSQLPageRequest`

### translateURL

    public java.lang.String translateURL(java.lang.String filename)

  Description copied from interface: `XSQLPageRequest`
  Returns a string representing an absolute URL resolved relative to the base URI for this request.
  Specified by:
    `translateURL` in interface `XSQLPageRequest`

### setStylesheetURI

    public void setStylesheetURI(java.lang.String uri)

  Description copied from interface: `XSQLPageRequest`
  Sets the URI of the stylesheet to be used to process the result.
  Specified by:
    `setStylesheetURI` in interface `XSQLPageRequest`

### getStylesheetURI

    public java.lang.String getStylesheetURI()

  Description copied from interface: `XSQLPageRequest`
  Returns the URI of the stylesheet to be used to process the result.
  Specified by:
    `getStylesheetURI` in interface `XSQLPageRequest`

### getRequestParamsAsXMLDocument

    public Document getRequestParamsAsXMLDocument()

  Description copied from interface: `XSQLPageRequest`
  Returns the content of a Request parameters as an XML Document
  Specified by:
    `getRequestParamsAsXMLDocument` in interface `XSQLPageRequest`

### setPostedDocument

    public void setPostedDocument(Document doc)

  Description copied from interface: `XSQLPageRequest`
  Allows programmatic setting of the Posted Document
  Specified by:
    `setPostedDocument` in interface `XSQLPageRequest`

### getPostedDocument

    public Document getPostedDocument()

  Description copied from interface: `XSQLPageRequest`
  Returns the content of Posted XML for this request as an XML Document
  Specified by:
    `getPostedDocument` in interface `XSQLPageRequest`

### setStylesheetParameter

    public void setStylesheetParameter(java.lang.String name,
                                       java.lang.String value)

  Description copied from interface: `XSQLPageRequest`
  Sets the value of a parameter to be passed to the associated stylesheet
  Specified by:
    `setStylesheetParameter` in interface `XSQLPageRequest`

### getStylesheetParameters

    public java.util.Enumeration getStylesheetParameters()

  Gets an enumeration of stylesheet parameter names
  Specified by:
    `getStylesheetParameters` in interface `XSQLPageRequest`

### getStylesheetParameter

    public java.lang.String getStylesheetParameter(java.lang.String name)

  Gets a stylesheet parameter by name
  Specified by:
    `getStylesheetParameter` in interface `XSQLPageRequest`

### setPageEncoding

    public void setPageEncoding(java.lang.String enc)

  Associates an XSQL Page with the request
  Specified by:
    `setPageEncoding` in interface `XSQLPageRequest`

### getPageEncoding

    public java.lang.String getPageEncoding()

  Returns encoding of source XSQL Page associated with this request
  Specified by:
    `getPageEncoding` in interface `XSQLPageRequest`

### setConnectionName

    public void setConnectionName(java.lang.String connName)
                           throws java.sql.SQLException

  Sets the connection being used for this request (can be null)
  Specified by:
    `setConnectionName` in interface `XSQLPageRequest`
    `java.sql.SQLException`

### getJDBCConnection

    public java.sql.Connection getJDBCConnection()

  Gets the JDBC connection being used for this request (can be null)
  Specified by:
    `getJDBCConnection` in interface `XSQLPageRequest`

### getXSQLConnection

    public XSQLConnection getXSQLConnection()

  Gets the XSQLConnection Object being used for this request Might be null.
  Specified by:
    `getXSQLConnection` in interface `XSQLPageRequest`

### setIncludingRequest

    public void setIncludingRequest(XSQLPageRequest includingEnv)

  Sets the Including Page Request object for this request.
  Specified by:
    `setIncludingRequest` in interface `XSQLPageRequest`

### getConnectionName

    public java.lang.String getConnectionName()

  Returns the name of the connection being used for this request May be null if no connection set/in-use.
  Specified by:
    `getConnectionName` in interface `XSQLPageRequest`

### requestProcessed

    public void requestProcessed()

  Allows Page Request to Perform end-of-request processing
  Specified by:
    `requestProcessed` in interface `XSQLPageRequest`

### isOracleDriver

    public boolean isOracleDriver()

  Returns true if the current connection uses the Oracle JDBC Driver
  Specified by:
    `isOracleDriver` in interface `XSQLPageRequest`

### isIncludedRequest

    public boolean isIncludedRequest()

  Returns true if this request is being included in another.
  Specified by:
    `isIncludedRequest` in interface `XSQLPageRequest`

### setPageParam

    public void setPageParam(java.lang.String name,
                             java.lang.String value)

  Sets a dynamic page parameter value.
  Specified by:
    `setPageParam` in interface `XSQLPageRequest`

### setPageParam

    public void setPageParam(java.lang.String name,
                             java.lang.String[] value)

  Description copied from interface: `XSQLPageRequest`
  Sets a dynamic page parameter value to a string array
  Specified by:
    `setPageParam` in interface `XSQLPageRequest`

### getPageParam

    protected java.lang.String getPageParam(java.lang.String name)

### getPageParamValues

    protected java.lang.String[] getPageParamValues(java.lang.String name)

### setRequestObject

    public void setRequestObject(java.lang.String name,
                                 java.lang.Object obj)

  Sets a request-scope object
  Specified by:
    `setRequestObject` in interface `XSQLPageRequest`

### getRequestObject

    public java.lang.Object getRequestObject(java.lang.String name)

  Gets a request-scope object
  Specified by:
    `getRequestObject` in interface `XSQLPageRequest`

### setTopRequest

    protected void setTopRequest(XSQLPageRequest top)

### getTopRequest

    protected XSQLPageRequest getTopRequest()

### setupOutputStream

    protected void setupOutputStream()

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Description copied from interface: `XSQLPageRequest`
  Returns an OutputStream used for writing out the results of a page request
  Specified by:
    `getOutputStream` in interface `XSQLPageRequest`

### getXSQLPage

    public oracle.xml.xsql.XSQLPage getXSQLPage()
                                         throws SAXParseException,
                                                java.io.FileNotFoundException

  Description copied from interface: `XSQLPageRequest`
  Returns an instance of an XSQLPage representing the current request
  Specified by:
    `getXSQLPage` in interface `XSQLPageRequest`
    `SAXParseException`
    `java.io.FileNotFoundException`

### getConnectionManagerFactory

    public XSQLConnectionManagerFactory getConnectionManagerFactory()

  Description copied from interface: `XSQLPageRequest`
  Returns the instance of the connection manager factory to use for this request
  Specified by:
    `getConnectionManagerFactory` in interface `XSQLPageRequest`

### isErrorSignalled

    public boolean isErrorSignalled()

  Returns true if processing error has occurred during this request
  Specified by:
    `isErrorSignalled` in interface `XSQLPageRequest`

### signalError

    public void signalError(int errorCode,
                            java.lang.String[] errorMessageArgs,
                            java.lang.Object[] supplementalErrorInfo)

  Signals a processing error for this request
  Specified by:
    `signalError` in interface `XSQLPageRequest`

### signalError

    public void signalError(java.lang.String message)

  Signals a processing error for this request
  Specified by:
    `signalError` in interface `XSQLPageRequest`

### setErrorHandlerClass

    public void setErrorHandlerClass(java.lang.String className)
                              throws oracle.xml.xsql.XSQLInitializationException

  Description copied from interface: `XSQLPageRequest`
  Sets classname to use to override default ErrorWriter for this request. Only has an effect if the current request is the topmost request. That is, nested requests cannot change the errorWriter just for the nested scope.
  Specified by:
    `setErrorHandlerClass` in interface `XSQLPageRequest`
    `oracle.xml.xsql.XSQLInitializationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.